global {
    w1_ded_dressed = false;
    w2_ded_have_present = false;
};

w1_dedbedroom = room {
    nam = 'Спальня',
    dsc = function(s)
        p 'Я в своей спальне.';
        if(not w1_ded_dressed) then
            p 'Только проснулся.';
        end;
        p 'Она немного старомодна. Но, ремонт я пока не собираюсь делать.';
        p 'Справа от меня льётся свет из {w1_window|окна}.'
    end,
    obj = {
        xact('w1_window', 'Приятное зимнее утреннее солнце.'),
        'w1_table',
        'w1_chair'
    },
    way = {
        vroom('На улицу', 'w2_build1'),
    },
    exit = function()
        if not w1_ded_dressed then
            return 'На улице зима! Не пойду без одежды.', false;
        end
    end,
    pic = 'gfx/w1_dedbedroom.png;gfx'
};

w1_table = obj {
    nam = 'Стол',
    dsc = [[Перед окном стоит {стол}.]],
    act = [[Деревянный. Лакированый. Ставлю на него разные предметы.
    На то он и стол.]],
    obj = {
        'w1_tv',
        'w1_book'
    },
};

w1_tv = obj {
    nam = 'Телевизор',
    dsc = [[На столе стоит {телевизор}.]],
    act = [[Импортный. Но старый. Слышал от пацанёнка одного, Васьки,
    что с помощью него нас зомбируют. Поэтому нужно сидеть в каком-то
    «интернете». Что это я не знаю.]],
};

w1_book = obj {
    nam = 'Книга',
    dsc = 'С краю лежит {книга}.',
    tak = 'Книга называется «Как бросить пить». Я взял её.',
    inv = [[«Как бросить пить». Эту книгу мне подарил пацанёнок Василий.
    Теперь я не пью.^^
    Когда я её читал, то был уверен, что её написал профессиональный
    психолог. А как протрезвел, то узнал почерк этого Васьки. Он сделал
    её из картонки да разукрасил фломастерами. После этого случая я не
    пью.]],
    use = function(s, w)
        if(w == w2_punk) then
            take('w2_champagne');
            take('w2_cola');
            inv():del(s);
            w2_ded_have_present = true;
            p [[Я дал панку книгу «Как бросить пить». Он обрадовался,
            и взамен дал бутылку шампанского и колы.']];
        end
    end,
};

w1_chair = obj {
    nam = 'Стул',
    dsc = [[Рядом находится {стул}.]],
    act = [[Крепкий. Я когда-то им в Санту запустил. Он теперь не
    приезжает в гости.]],
    obj = {
        'w1_clothes',
        'w1_clock'
    },
};

w1_clothes = obj {
    nam = 'Одежда',
    dsc = 'На стуле весит моя {одежда}.',
    tak = function(s)
        w1_ded_dressed = true;
        p 'О! Моя одежда. Я оделся.';
    end,
    inv = [[Это моя одежда. Она на мне. Мне пацанёнок Васька шубу
    переделал. Точнее его мама. Она работает швеёй. Теперь шуба
    настоящая. А раньше была как у Санты.]],
};

w1_clock = obj {
    nam = 'Часы',
    dsc = [[На стуле также стоят {часы}.]],
    act = [[10 часов утра. Они ещё и дату показывают. 31.12.2011^^
    Чё?! А!!! Сегодня Новый Год! Нужно пацанёнка Ваську поздравить.
    И его маму.]],
};

w2_build1 = room {
    nam = 'У подъезда',
    dsc = [[Я стою возле своего подъезда. Вокруг лежит {w2_snow|снег}.]],
    obj = {
        xact('w2_snow', 'Навалило много в этом году.'),
    },
    way = {
        vroom('Домой', 'w1_dedbedroom'),
        vroom('Налево', 'w2_leftstreet'),
        vroom('К Ваське', 'w2_vasya'),
    },
    exit = function(s, t)
        if t == w2_vasya and not w2_ded_have_present then
            return 'Без подарков не прилично идти к Ваське.', false
        end
    end,
    pic = 'gfx/w2_build1.png;gfx/dedmoroz2.png@130,240;',
};

w2_leftstreet = room {
    nam = 'Улица',
    dsc = [[Улица. Снега полно.]],
    obj = {
        'w2_punk'
    },
    way = {
        vroom('К подъезду', 'w2_build1'),
    },
    pic = code[[
    pr 'gfx/w2_leftstreet.png;gfx/punk.png@190,190;gfx/dedmoroz.png@300,180;';
    if (not w2_ded_have_present) then
        pr 'gfx/boatles.png@176,240;'
    end;
    ]],
};

w2_punk = obj {
    nam = 'Панк',
    dsc = [[Здесь стоит пьяный {панк}.]],
    act = code[[
    if(w2_ded_have_present) then
        p 'Он читает книгу о вреде алкоголизма.';
    else
        p 'У него в руках бутылка шампанского и кола. Ещё не открытые.';
    end
    ]],
};

w2_champagne = obj {
    nam = 'Шампанское',
    inv = [[Бутылка шампанского. Обычно его пьют на Новый Год.]],
};

w2_cola = obj {
    nam = 'Кола',
    inv = [[Бутылка колы. Детишки такое любят.]],
};

w2_vasya = room {
    nam = 'Конец',
    dsc = [[Я подарил бутылку шампанского и колу Ваське и его маме.
    Они обрадовалсь. Ура!!!^^
    КОНЕЦ^^
    Автор: Евгений Ефремов aka jhekasoft^^
    Помогала Вероника Рубин]],
    hideinv = true,
    enter = code[[set_sound('sfx/end.ogg');]];
    pic = 'gfx/w2_vasya.png',
};

